<?xml version="1.0" encoding="utf-8"?>
<Hishop>
  <Core
		 defaultLanguage="zh-CN"
		 smtpServerConnectionLimit="-1"
		 ssl = "Ignore"
		 wwwStatus = "Ignore"
		 emailEncoding="utf-8"
		 FullIndexVersion="1.0"
		 IncIndexVersion="1.0"
		 SellerCatsVersion="1.0"
		 FullDir="Item_Full"
		 IncDir="Item_Inc"
		   >

    <providers>
      <clear/>
      
      <add name = "SiteUrlsDataProvider" type = "Hishop.SystemServices.SiteUrlsData, Hishop.SystemServices.Core" path = "SiteUrls.config" htmRewritePath="SiteUrls_HtmRewrite.config" />
      <add name = "MemberRoleProfileProvider" type = "Hishop.SystemServices.HiMemberRoleProfileProvider, Hishop.SystemServices.Core" />

      <add name = "EmailQueueData" type = "Hishop.Messages.Data.EmailQueueData, Hishop.Messages.Data" />
      <add name = "CoreDataProvider" type = "Hishop.SystemServices.Data.SqlCoreDataProvider, Hishop.SystemServices.Data" />

      <add name = "StoreManagementProvider" type = "Hishop.StoreManagement.Data.SqlStoreManagementProvider, Hishop.StoreManagement.Data" />
      <add name = "SalesManagementProvider" type = "Hishop.SalesManagement.Data.SqlSalesManagementDataProvider, Hishop.SalesManagement.Data" />
      <add name = "PromotionDataProvider" type = "Hishop.Promotions.Data.SqlPromotionDataProvider, Hishop.Promotions.Data" />
      <add name = "OrderDataProvider" type = "Hishop.SalesManagement.Data.SqlOrderDataProvider, Hishop.SalesManagement.Data" />
      <add name = "CustomerDataProvider" type = "Hishop.Customers.Data.SqlCustomerDataProvider, Hishop.Customers.Data" />
      
      <add name = "CategoryDataProvider" type = "Hishop.Commodities.Data.SqlCategoryDataProvider, Hishop.Commodities.Data" />
      <add name = "PriceDataProvider" type = "Hishop.Commodities.Data.SqlPriceDataProvider, Hishop.Commodities.Data" />
      <add name = "ProductDataProvider" type = "Hishop.Commodities.Data.SqlProductDataProvider, Hishop.Commodities.Data" />
      <add name = "ProductTypeDataProvider" type = "Hishop.Commodities.Data.SqlProductTypeDataProvider, Hishop.Commodities.Data" />

      <add name = "ArticleDataProvider" type = "Hishop.Comments.Data.SqlArticleDataProvider, Hishop.Comments.Data" />
      <add name = "CommentsDataProvider" type = "Hishop.Comments.Data.SqlCommentDataProvider, Hishop.Comments.Data" />
      <add name = "NoticeDataProvider" type = "Hishop.Comments.Data.SqlNoticeDataProvider, Hishop.Comments.Data" />
      <add name = "GalleryDataProvider" type = "Hishop.Comments.Data.SqlGalleryDataProvider, Hishop.Comments.Data" />

      <add name = "AgentDataProvider" type = "Hishop.Agents.Data.SqlAgentDataProvider, Hishop.Agents.Data"/>

      <add name = "ShoppingDataProvider" type = "Hishop.Shopping.Data.SqlShoppingDataProvider, Hishop.Shopping.Data"/>

	  <add name = "MessagesDataProviderName" type = "Hishop.Messages.Data.MessageTemplateData, Hishop.Messages.Data" />
	  <add name = "InnerDataProviderName" type = "Hishop.Messages.Data.InnerMessageData, Hishop.Messages.Data" />
    </providers>

    <appLocation>
      <!--
		pattern:应用程序地址模式，需要和SiteUrls.config中locations.location节的path匹配，这样才能跟踪到应用程序地址
		name:地址名称
		type:对应ApplicationType中的类型
		 -->
      <add pattern = "/admin" name = "admin" type = "Admin" />
      <add pattern = "/user" name = "user" type = "Member" />
      <add pattern = "/agent" name = "agent" type = "Agent" />
      <add pattern = "/installer" name = "Installer" type = "Installer" />
      <add pattern = "/" name = "All" type = "All" />
    </appLocation>

    <Languages>
      <language key="zh-CN"  name="简体中文" enabled="true" />
      <language key="zh-TW"  name="繁體中文" enabled="true" />
      <language key="en-US"  name="English" enabled="false" />
    </Languages>

    <IntegratedApplications>
      <add
        applicationName="DiscuzNT-2.5"
        implement="Hishop.Integration.DiscuzNTPlugin.SqlServerCommand, Hishop.Integration.DiscuzNTPlugin"
      />
    </IntegratedApplications>

  </Core>

  <Jobs minutes = "1" singleThread = "true">
    <job name = "Emails" singleThread = "false" minutes = "1" type = "Hishop.Messages.EmailJob, Hishop.Messages" enabled = "true" enableShutDown = "false" failureInterval = "1" numberOfTries = "10" />
    <job name = "AutoConfirmOrder" minutes = "5" type = "Hishop.SalesManagement.Components.AutoConfirmOrderJob, Hishop.SalesManagement.Components" enabled = "true" enableShutDown = "false" />
    <job name = "ShoppingCart" minutes = "5" type = "Hishop.Shopping.Components.ShoppingCartJob, Hishop.Shopping.Components" enabled = "true" enableShutDown = "false" />
    <job name = "AutoFinishGroupBuy" minutes = "5" type = "Hishop.Promotions.Components.AutoFinishGroupBuyJob, Hishop.Promotions.Components" enabled = "true" enableShutDown = "false" />
	<job name = "FullIndexJob" singleThread = "false" minutes = "360" type = "Hishop.Commodities.Components.FullIndexJob, Hishop.Commodities.Components" enabled = "true" enableShutDown = "false" />
	<job name = "IncrementIndexJob" singleThread = "false" minutes = "30" type = "Hishop.Commodities.Components.IncrementIndexJob, Hishop.Commodities.Components" enabled = "true" enableShutDown = "false" />
  </Jobs>

</Hishop>